<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Making Microreact-compatible data from GHRU metadata and outputs • ghruR</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Making Microreact-compatible data from GHRU metadata and outputs">
<meta property="og:description" content="ghruR">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><script src="making_microreact_compatible_data_files/header-attrs-2.11/header-attrs.js"></script><div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1 data-toc-skip>Making Microreact-compatible data from GHRU metadata and outputs</h1>
                        <h4 class="author">Anthony Underwood</h4>
            
      
      
      <div class="hidden name"><code>making_microreact_compatible_data.Rmd</code></div>

    </div>

    
    
<div id="introduction" class="section level2">
<h2 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h2>
<p>The metadata and outputs from bioinformatics processes are useful metrics to contextualise the genomic differences seen within a phylogeny. The ghruR package provides functions to combine this data into a format that is compatible with microreact. This vignette will illustrate some examples of how to use these</p>
</div>
<div id="how-to-make-a-microreact-metadata-dataframe" class="section level2">
<h2 class="hasAnchor">
<a href="#how-to-make-a-microreact-metadata-dataframe" class="anchor"></a>How to make a microreact metadata dataframe</h2>
<div id="phylogenetic-tree" class="section level3">
<h3 class="hasAnchor">
<a href="#phylogenetic-tree" class="anchor"></a>Phylogenetic tree</h3>
<p>To reduce the data to only those samples represented in the tree, the tip labels can be used as a source of data.</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(ape)</span>
<span id="cb1-2"><a href="#cb1-2" aria-hidden="true" tabindex="-1"></a>tree <span class="ot">&lt;-</span> ape<span class="sc">::</span><span class="fu">read.tree</span>(<span class="st">'input_data/microreact_single_country_e.coli.tre'</span>)</span>
<span id="cb1-3"><a href="#cb1-3" aria-hidden="true" tabindex="-1"></a>sample_ids <span class="ot">&lt;-</span> tree<span class="sc">$</span>tip.label</span>
<span id="cb1-4"><a href="#cb1-4" aria-hidden="true" tabindex="-1"></a><span class="fu">head</span>(sample_ids)</span>
<span id="cb1-5"><a href="#cb1-5" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"G18763197"</span> <span class="st">"G18760379"</span> <span class="st">"G18755128"</span> <span class="st">"G18763800"</span> <span class="st">"G18761051"</span> <span class="st">"G18763319"</span></span></code></pre></div>
</div>
<div id="make-dataframe-for-country" class="section level3">
<h3 class="hasAnchor">
<a href="#make-dataframe-for-country" class="anchor"></a>Make dataframe for country</h3>
<p>The ghruR function to make a microreact dataframe uses the Google Sheets as the source for the data. Therefore it uses the master sheet list to find the country specific Google sheet that contains the URLs of all the relevant data sources. It will read these data to</p>
<ol style="list-style-type: decimal">
<li>Pull data from the Epidemiological Metadata</li>
<li>Merge with the QC and Assembly Data (‘Sample id’, ‘Bactinspector species’, ‘Quast num contigs’, ‘Quast N50’, ‘Quast Total length’)</li>
<li>Merge with the MLST data (‘ST’, ‘profile’) and add a ST_autocolour column</li>
<li>Read the acquired AMR prediction data and reshape the data so that two columns per gene are added (gene_name and gene_name__colour). If the gene was assembled (yes, yes_nonunique), the best match is recorded in the gene_name column otherwise a ‘-’. In the gene_name__colour column ‘red’ is added if the gene was assembled (yes, yes_nonunique) , else ‘lime’ is added</li>
<li>Read the point AMR prediction data and reshape the data so thattwo columns per mutation are added (mutation_name and mutation_name__colour). If the gene was assembled (yes, yes_nonunique) and the mutation was found, the ‘yes’ is recorded in the mutation_name column otherwise a ‘no’. In the mutation_name__colour column ‘red’ is added if the mutation was found, else ‘lime’ is added</li>
</ol>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(ghruR)</span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a>list_of_countries_sheet_url <span class="ot">&lt;-</span> <span class="st">'https://docs.google.com/spreadsheets/d/1NKO01Yo9gHnSNVkR-3FduTxH_ajSvJ57VfUTP6qRNOE'</span></span>
<span id="cb2-3"><a href="#cb2-3" aria-hidden="true" tabindex="-1"></a>country <span class="ot">&lt;-</span> <span class="st">'Philippines'</span></span>
<span id="cb2-4"><a href="#cb2-4" aria-hidden="true" tabindex="-1"></a>user_email <span class="ot">&lt;-</span> <span class="st">'anthony.underwood@cgps.group'</span></span>
<span id="cb2-5"><a href="#cb2-5" aria-hidden="true" tabindex="-1"></a>metadata <span class="ot">&lt;-</span> ghruR<span class="sc">::</span><span class="fu">make_microreact_metadata_for_country</span>(country , <span class="st">'Escherichia coli'</span>, user_email, <span class="at">list_of_countries_sheet_url =</span> list_of_countries_sheet_url, <span class="at">sample_ids =</span> sample_ids)</span>
<span id="cb2-6"><a href="#cb2-6" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb2-7"><a href="#cb2-7" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb2-8"><a href="#cb2-8" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb2-9"><a href="#cb2-9" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb2-10"><a href="#cb2-10" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb2-11"><a href="#cb2-11" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb2-12"><a href="#cb2-12" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span></code></pre></div>
</div>
<div id="adding-a-row-for-the-reference" class="section level3">
<h3 class="hasAnchor">
<a href="#adding-a-row-for-the-reference" class="anchor"></a>Adding a row for the reference</h3>
<p>Microreact requires a row for each label in the tree. If you supply a list of sample ids, the assumption will be that one (and only one) of the ids is a non GHRU id and will use that to add a row with just the reference id as a value. If you need to add this manually, the procedure below can be followed.</p>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">ref_dataframe</span> <span class="op">&lt;-</span> <span class="fu"><a href="https://rdrr.io/r/base/data.frame.html">data.frame</a></span><span class="op">(</span><span class="st">'id'</span> <span class="op">=</span> <span class="st">'NZ_HG941718.1'</span><span class="op">)</span>
<span class="va">metadata_with_ref</span> <span class="op">&lt;-</span> <span class="fu">plyr</span><span class="fu">::</span><span class="fu"><a href="https://rdrr.io/pkg/plyr/man/rbind.fill.html">rbind.fill</a></span><span class="op">(</span><span class="va">metadata</span>, <span class="va">ref_dataframe</span><span class="op">)</span></code></pre></div>
</div>
<div id="writing-out-the-table" class="section level3">
<h3 class="hasAnchor">
<a href="#writing-out-the-table" class="anchor"></a>Writing out the table</h3>
<p>Finally the metadata can be writtent to a tsv file that can be uploaded to Microreact together with the newick tree file</p>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="fu"><a href="https://rdrr.io/r/utils/write.table.html">write.table</a></span><span class="op">(</span><span class="va">metadata</span>, <span class="st">'output_data/single_country_microreact_metadata.tsv'</span>, sep <span class="op">=</span> <span class="st">'\t'</span>, row.names <span class="op">=</span> <span class="cn">FALSE</span><span class="op">)</span> </code></pre></div>
</div>
<div id="add-rows-to-metadata-for-missing-ids-in-the-epi-spreadsheets" class="section level3">
<h3 class="hasAnchor">
<a href="#add-rows-to-metadata-for-missing-ids-in-the-epi-spreadsheets" class="anchor"></a>Add rows to metadata for missing IDs in the Epi spreadsheets</h3>
<p>In case the tree contains leaves which haven’t been specified in the Epidemiological Data spreadsheets, these should be added to the Microreact metadata, otherwise the upload to Microreact will not work.If this is for just one country then the function below can be used to fill in the missiing data.</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a>incomplete_metadata <span class="ot">&lt;-</span> metadata</span>
<span id="cb5-2"><a href="#cb5-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-3"><a href="#cb5-3" aria-hidden="true" tabindex="-1"></a>missing_samples <span class="ot">&lt;-</span> <span class="fu">c</span>()</span>
<span id="cb5-4"><a href="#cb5-4" aria-hidden="true" tabindex="-1"></a><span class="cf">for</span> (i <span class="cf">in</span> <span class="dv">1</span><span class="sc">:</span><span class="fu">length</span>(sample_ids)){</span>
<span id="cb5-5"><a href="#cb5-5" aria-hidden="true" tabindex="-1"></a>  <span class="cf">if</span> (<span class="fu">length</span>(incomplete_metadata[incomplete_metadata[,<span class="dv">1</span>] <span class="sc">==</span> sample_ids[i],<span class="dv">1</span>]) <span class="sc">==</span> <span class="dv">0</span>){ </span>
<span id="cb5-6"><a href="#cb5-6" aria-hidden="true" tabindex="-1"></a>    missing_samples <span class="ot">&lt;-</span> <span class="fu">append</span>(missing_samples, sample_ids[i])</span>
<span id="cb5-7"><a href="#cb5-7" aria-hidden="true" tabindex="-1"></a>  }</span>
<span id="cb5-8"><a href="#cb5-8" aria-hidden="true" tabindex="-1"></a>}</span>
<span id="cb5-9"><a href="#cb5-9" aria-hidden="true" tabindex="-1"></a>sorted_missing_samples <span class="ot">&lt;-</span> <span class="fu">tibble</span>(<span class="at">id =</span> <span class="fu">sort</span>(missing_samples))</span>
<span id="cb5-10"><a href="#cb5-10" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-11"><a href="#cb5-11" aria-hidden="true" tabindex="-1"></a><span class="fu">print</span>(<span class="fu">paste</span> (<span class="st">"These samples are missing from Epi data:"</span>, <span class="fu">paste</span>(sorted_missing_samples<span class="sc">$</span>id, <span class="at">collapse =</span> <span class="st">", "</span>)))</span>
<span id="cb5-12"><a href="#cb5-12" aria-hidden="true" tabindex="-1"></a>      </span>
<span id="cb5-13"><a href="#cb5-13" aria-hidden="true" tabindex="-1"></a>determine_county <span class="ot">&lt;-</span> <span class="cf">function</span>(x) {</span>
<span id="cb5-14"><a href="#cb5-14" aria-hidden="true" tabindex="-1"></a>  country_digits <span class="ot">&lt;-</span> <span class="fu">as.integer</span>(<span class="fu">substr</span>(x,<span class="dv">4</span>,<span class="fu">nchar</span>(x)))</span>
<span id="cb5-15"><a href="#cb5-15" aria-hidden="true" tabindex="-1"></a>  <span class="cf">if</span>(<span class="sc">!</span><span class="fu">is.na</span>(country_digits)){</span>
<span id="cb5-16"><a href="#cb5-16" aria-hidden="true" tabindex="-1"></a>    <span class="cf">if</span> (country_digits <span class="sc">&gt;</span> <span class="dv">1</span> <span class="sc">&amp;&amp;</span> country_digits <span class="sc">&lt;</span> <span class="dv">250001</span>) {</span>
<span id="cb5-17"><a href="#cb5-17" aria-hidden="true" tabindex="-1"></a>      <span class="fu">return</span>(<span class="st">"Colombia"</span>)</span>
<span id="cb5-18"><a href="#cb5-18" aria-hidden="true" tabindex="-1"></a>    } <span class="cf">else</span> <span class="cf">if</span> (country_digits <span class="sc">&gt;</span> <span class="dv">250000</span> <span class="sc">&amp;</span> country_digits <span class="sc">&lt;</span> <span class="dv">500001</span>) {</span>
<span id="cb5-19"><a href="#cb5-19" aria-hidden="true" tabindex="-1"></a>      <span class="fu">return</span>(<span class="st">"India"</span>)</span>
<span id="cb5-20"><a href="#cb5-20" aria-hidden="true" tabindex="-1"></a>    } <span class="cf">else</span> <span class="cf">if</span> (country_digits <span class="sc">&gt;</span> <span class="dv">500000</span> <span class="sc">&amp;</span> country_digits <span class="sc">&lt;</span> <span class="dv">750001</span>) {</span>
<span id="cb5-21"><a href="#cb5-21" aria-hidden="true" tabindex="-1"></a>      <span class="fu">return</span>(<span class="st">"Nigeria"</span>)</span>
<span id="cb5-22"><a href="#cb5-22" aria-hidden="true" tabindex="-1"></a>    } <span class="cf">else</span> <span class="cf">if</span> (country_digits <span class="sc">&gt;</span> <span class="dv">750000</span> <span class="sc">&amp;</span> country_digits <span class="sc">&lt;</span> <span class="dv">999999</span>) {</span>
<span id="cb5-23"><a href="#cb5-23" aria-hidden="true" tabindex="-1"></a>      <span class="fu">return</span>(<span class="st">"Philippines"</span>)</span>
<span id="cb5-24"><a href="#cb5-24" aria-hidden="true" tabindex="-1"></a>    }</span>
<span id="cb5-25"><a href="#cb5-25" aria-hidden="true" tabindex="-1"></a>  <span class="cf">else</span> {</span>
<span id="cb5-26"><a href="#cb5-26" aria-hidden="true" tabindex="-1"></a>    <span class="fu">return</span>(<span class="cn">NA</span>)</span>
<span id="cb5-27"><a href="#cb5-27" aria-hidden="true" tabindex="-1"></a>  }</span>
<span id="cb5-28"><a href="#cb5-28" aria-hidden="true" tabindex="-1"></a>}</span>
<span id="cb5-29"><a href="#cb5-29" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-30"><a href="#cb5-30" aria-hidden="true" tabindex="-1"></a>country_colours <span class="ot">&lt;-</span> ghruR<span class="sc">::</span><span class="fu">get_country_colours</span>()</span>
<span id="cb5-31"><a href="#cb5-31" aria-hidden="true" tabindex="-1"></a>country_locations <span class="ot">&lt;-</span> ghruR<span class="sc">::</span><span class="fu">get_country_locations</span>() </span>
<span id="cb5-32"><a href="#cb5-32" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-33"><a href="#cb5-33" aria-hidden="true" tabindex="-1"></a>missing_samples_with_info <span class="ot">&lt;-</span> sorted_missing_samples <span class="sc">%&gt;%</span> dplyr<span class="sc">::</span><span class="fu">mutate</span>(<span class="at">Country =</span> purrr<span class="sc">::</span><span class="fu">map_chr</span>(id, determine_county)) <span class="sc">%&gt;%</span> </span>
<span id="cb5-34"><a href="#cb5-34" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">left_join</span>(country_colours) <span class="sc">%&gt;%</span> </span>
<span id="cb5-35"><a href="#cb5-35" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">rename</span>(<span class="at">Country__colour =</span> Colour) <span class="sc">%&gt;%</span> </span>
<span id="cb5-36"><a href="#cb5-36" aria-hidden="true" tabindex="-1"></a>  dplyr<span class="sc">::</span><span class="fu">left_join</span>(country_locations)</span>
<span id="cb5-37"><a href="#cb5-37" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb5-38"><a href="#cb5-38" aria-hidden="true" tabindex="-1"></a>complete_metadata <span class="ot">&lt;-</span> plyr<span class="sc">::</span><span class="fu">rbind.fill</span>(incomplete_metadata, missing_samples_with_info)</span></code></pre></div>
<p>This is wrapped into a function so you do not need to run all of the commands</p>
<div class="sourceCode" id="cb6"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="va">incomplete_metadata</span> <span class="op">&lt;-</span> <span class="va">metadata</span>
<span class="va">complete_metadata</span> <span class="op">&lt;-</span> <span class="fu">ghruR</span><span class="fu">::</span><span class="fu"><a href="../reference/fill_missing_metadata.html">fill_missing_metadata</a></span><span class="op">(</span><span class="va">incomplete_metadata</span>, <span class="va">sample_ids</span><span class="op">)</span></code></pre></div>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">

        <nav id="toc" data-toggle="toc"><h2 data-toc-skip>Contents</h2>
    </nav>
</div>

</div>



      <footer><div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
